package com.ssj.service.weixin.grword.service;

import com.ssj.bean.weixin.grword.domain.TbReadAnswer;
import com.ssj.bean.weixin.grword.domain.TbReadScore;
import com.ssj.bean.weixin.grword.domain.TbReadSubject;
import com.ssj.framework.core.common.service.BaseService;

import java.util.List;
import java.util.Map;

public interface ReadQueryService extends BaseService<TbReadSubject, String>{

	Map<String,Object> findSubjectByIsbn13(String isbn13);
		
	Map<String,Object> findAnswerByUserId(String userId,String isbn13,String scoreId);
		
	Map<String,Object> findSubjectByIsbn13AndSort(String isbn13,Integer sort);
	
	void saveReadScore(TbReadScore readScore);
	
	void saveReadAnswer(TbReadAnswer readAnswer);
	
	void saveReadSubject(TbReadSubject readSubject);
	
	TbReadScore findScoreByState(String userId,String isbn13,String state);
	
	TbReadScore findScoreById(String scoreId);
	
	List<TbReadAnswer> findReadAnswerByScoreId(String scoreId);
	
	TbReadScore findNewScoreByisbn13(String userId,String isbn13);
	
	TbReadSubject findSubjectById(String subjectId);
	
	List<Map<String, Object> > findBookByUserIdAndLevel(String userId,Integer level,Integer userGr,Integer size);
	
	List<Map<String, Object>> findBookByUserIdAndLevelSuccess(String userId);
	
	List<Map<String, Object>> findSubjectByIsbn13Page(String Isbn13);
	
	List<Map<String,Object>> findAnswerByUserIdPage(String userId,String isbn13,String scoreId);
	
	void updateReadAnswerAdopt(String userId,String isbn13);
	
}
